/*
 * ArchiveFileSystemTest.java
 * JUnit based test
 *
 * Created on 12. Januar 2006, 16:01
 */

package de.schlichtherle.io;

import junit.framework.*;

/**
 * @author Christian Schlichtherle
 */
public class ArchiveFileSystemTest extends TestCase {
    
    public ArchiveFileSystemTest(String testName) {
        super(testName);
    }

    /**
     * Test of split method, of class de.schlichtherle.io.ArchiveFileSystem.
     */
    public void testSplitEntryName() {
        testSplitEntryName("a/", "b", "a/b/");
        testSplitEntryName("a/", "b", "a/b");
        testSplitEntryName("/", "a", "a/");
        testSplitEntryName("/", "a", "a");
        testSplitEntryName("/", "a", "/a/");
        testSplitEntryName("/", "a", "/a");
        testSplitEntryName(null, "", "/");
        testSplitEntryName(null, "", "");
    }

    public void testSplitEntryName(
            final String parent,
            final String base,
            final String path) {
        final String[] split = new String[2];
        ArchiveFileSystem.split(path, split);
        assertEquals(parent, split[0]);
        assertEquals(base, split[1]);
    }
    
}
