/*
 * TestRunner.java
 *
 * Created on 14. Januar 2006, 20:54
 */

package de.schlichtherle.junit.swingui;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

/**
 * @author Christian Schlichtherle
 */
public class TestRunner extends junit.swingui.TestRunner {

    public TestRunner() {
        final Properties defaults = new Properties();
        defaults.put("loading", "true");
        defaults.put("filterstack", "true");

        final Properties preferences = new Properties(defaults);
        try {
            try {
                preferences.load(
                        TestRunner.class.getResourceAsStream("/META-INF/junit.properties"));
            } catch (IOException ignored) {
                preferences.load(
                        new FileInputStream(
                            new File(
                                System.getProperty("user.home"),
                                "junit.properties")));
            }
        } catch (IOException failure) {
            // Use defaults only.
        }

        setPreferences(preferences);
    }

    public static void main(String[] args) {
        new TestRunner().start(args);
    }
}
