/*
 * RandomDataZipTest.java
 *
 * Created on 14. Oktober 2005, 16:49
 */
/*
 * Copyright 2005-2007 Schlichtherle IT Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.schlichtherle.util.zip;

import java.security.SecureRandom;
import java.util.Random;
import java.util.logging.Logger;

import junit.framework.*;

/**
 * Tests compression of a data with 1MB of random data.
 * 
 * @author Christian Schlichtherle
 */
public class RandomDataZipTest extends ZipTestCase {

    private static final Logger logger
            = Logger.getLogger(RandomDataZipTest.class.getName());

    private static final byte[] data = new byte[1024 * 1024];
    static {
        boolean ea = false;
        assert ea = true; // NOT ea == true !
        logger.config("Java assertions enabled: " + ea);

        rnd.nextBytes(data);
        logger.config("Created " + data.length + " bytes of random data.");
    }

    public static Test suite() throws Exception {
        TestSuite suite = new TestSuite(RandomDataZipTest.class);
        
        return suite;
    }
    
    /**
     * Creates a new instance of RandomDataZipTest 
     */
    public RandomDataZipTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
        super.data = RandomDataZipTest.data;
        
        super.setUp();
    }
}
